/***************************************************************************
                          kdlgpassword.cpp  -  description                              
                             -------------------                                         
    begin                : Sun Jul 11 1999                                           
    copyright            : (C) 1999 by Christian Rossi                         
    email                : crossi@mailcity.com                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "kdlgpassword.h"

KDlgPassword::KDlgPassword(QWidget *parent, const char *name,char *passPhrase) : QDialog(parent,name,true)
{
	initDialog();
	m_PassPhrase->setFocus();
	m_PassPhrase->setEchoMode(QLineEdit::Password);
	Resultado = passPhrase;
	
	

	connect(m_Aceptar,SIGNAL(released ()),SLOT(Aceptar()));
	connect(m_Cancelar,SIGNAL(released()),SLOT(Cancelar()));
	connect(m_ShowPassPhrase,SIGNAL(clicked()),SLOT(MostrarFrase()));
}

KDlgPassword::~KDlgPassword(){
}

void KDlgPassword::Aceptar()
{
	strcpy(Resultado,m_PassPhrase->text());
	hide();
}

void KDlgPassword::Cancelar()
{
	strcpy(Resultado,"");
	hide();
}

void KDlgPassword::MostrarFrase()
{
	if (m_ShowPassPhrase->isChecked())
	{
			m_PassPhrase->setEchoMode(QLineEdit::Normal);
	}
	else
	{
			m_PassPhrase->setEchoMode(QLineEdit::Password);
	}
}













