/***************************************************************************
                          ktabwidget.h  -  description
                             -------------------
    begin                : Sat Mar 18 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          ktabwidget.h  -  description
                             -------------------
    begin                : Mon Mar 13 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KTABWIDGET_H
#define KTABWIDGET_H

#include <qwidget.h>
#include <qtabwidget.h>
#include <qlistview.h>
#include "klista.h"

/**
  *@author Christian Rossi
  */

class KTabWidget : public QTabWidget  {
   Q_OBJECT
public: 
	KTabWidget(QWidget *parent=0, const char *name=0);
	~KTabWidget();
	/** ***************************************
	* Llena la lista de llaves con las llaves *
	* publicas y con las secretas             *
	*******************************************/
  void LlenarTreeList();
  /** ***************************
	* Llena el TreeList de Grupos *
	*******************************/
  void llenarGrupos();
  /***************************************
   * Devuelve la subcadena de "Dato" que *
	 * empieza en "inicial" y dura "largo" *
	 ***************************************/
  QString substr(QString Dato,int inicial,int largo);
	
	QListView		*llavesPublicas;	
	QListView		*llavesSecretas;	
  QListView 	*Grupos;

public slots: // Public slots
  /**  */

  /**  */
  void slotTabSelect( const QString & tabLabel);
};

#endif
