/***************************************************************************
                          kdlgreceptores.cpp  -  description
                             -------------------
    begin                : Fri Apr 7 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "kdlgreceptores.h"
#include <qpixmap.h>

extern	KPGPCrypt *Ventana;

KDlgReceptores::KDlgReceptores(QWidget *parent, const char *name,char *paramResultado) : QDialog(parent,name,true)
{
	initDialog();

	pKPGPCrypt = (KPGPCrypt *)parent;
	pResultado = paramResultado;

	setCaption("Receptores del Mensaje");

	for (int i=0;i<=pKPGPCrypt->ListaLlaves.CantidadDeLlaves;i++)
	{
//			if (!pKPGPCrypt->ListaLlaves.Llaves[i].Secreta)
				m_Lista_Receptores->insertItem(pKPGPCrypt->ListaLlaves.Llaves[i].Nombre);
	}

	m_Lista_Receptores->setMultiSelection(true);

	connect(m_Aceptar,SIGNAL(released()),SLOT(Aceptar()));
	connect(m_Cancelar,SIGNAL(released()),SLOT(Cancelar()));

}

KDlgReceptores::~KDlgReceptores()
{
}

/**  */
void KDlgReceptores::Aceptar()
{
	int aaa = (int)m_Lista_Receptores->count();

	strcpy(pResultado,"");			
	for (int i=0;i < aaa;i++)
	{
			if (m_Lista_Receptores->isSelected(i))
			{
				if (operator==(Ventana->Version(),"PGP 5.00"))
					strcpy(pResultado,"-r \"");
				else if (operator==(Ventana->Version(),"PGP 6.51"))
					strcpy(pResultado," \"");
				else if (operator==(Ventana->Version(),"GNUPG 1.00"))
					strcpy(pResultado,"-r \"");
			
				strcat(pResultado,m_Lista_Receptores->text(i));	
				strcat(pResultado,"\" ");
			}
	}	
	hide();
}

/**  */
void KDlgReceptores::Cancelar()
{
	strcpy(pResultado,"");			
	hide();
}

