/***************************************************************************
                          kpgpcryptview.cpp  -  description
                             -------------------
    begin                : Sat Mar 18 15:48:07 ART 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "qlistbox.h"
#include "qsplitter.h"
#include "qmultilinedit.h"
#include "ktabwidget.h"
#include "kparametros.h"
#include "keditor.h"
#include "kcambiarparam.h"
#include "qlistview.h"
#include "qtableview.h"

#include "kpgpcryptview.h"
#include "kpgpcrypt.h"

extern KPGPCrypt *Ventana;

KPGPCryptView::KPGPCryptView(QWidget *parent, KPGPCryptDoc *doc) : QWidget(parent)
{

  /** connect doc with the view*/
  connect(doc, SIGNAL(documentChanged()), this, SLOT(slotDocumentChanged()));

  split1 = new QSplitter(Qt::Vertical,this);
  split = new QSplitter(Qt::Horizontal,split1);
	QValueList<int> medidas;
	medidas.append(400);
	split1->setSizes(medidas);
	medidas.clear();

	tw    = new KTabWidget(split1);	
	mlel  = new KParametros(split);
	mler  = new KEditor(split);
	
	mlel->Lista->addColumn("Parametros",200);
	mlel->Lista->addColumn("Valores",-1);
		
}

KPGPCryptView::~KPGPCryptView()
{
}

void KPGPCryptView::slotDocumentChanged()
{
  //TODO update the view

}
